Bug 109406 - Installer crashes after "monitor" step while detecting hardware
Summary: Installer crashes after "monitor" step while detecting hardware
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
(Show other bugs)
Version: 1
Hardware: i386 Linux
medium
high
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-11-07 15:33 UTC by P. Beltrani
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-05 15:27:45 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
anaconda dump file from install (21.12 KB, text/plain)
2003-11-07 15:35 UTC, P. Beltrani
no flags Details

Description P. Beltrani 2003-11-07 15:33:53 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4)
Gecko/20030624 Netscape/7.1

Description of problem:
Install consistently crashes immediately after configuring the monitor.
                                                                     
          
I attempted three different install paths: default , "linux text" and
"linux nofb".  I also attempted an install with the mouse removed in
an attempt to prevent the installation from trying to configure a
graphical display.
                                                                     
          
Other than the initial parameters "nofb" or "text" at boot, default
selections were used during the install.
                                                                     
          
FWIW:
  1) This system was running Red Hat 9 without problem.
  2) The VGA card works fine in text mode but requires manual
configuration to get XFree86 running as it only has 256KB of RAM.
(Yes, it's an antique).


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Start install with either default, "text" or "nofb"
2.select defaults duing installation

    

Actual Results:  System crashes after "monitor" selection.

Expected Results:  Installer would have performed a graphical or text
based install depending on the initial arguments passed at boot.

Additional info:

An anaconda dump file will be attached to this report.

Comment 1 P. Beltrani 2003-11-07 15:35:30 UTC
Created attachment 95794 [details]
anaconda dump file from install

Comment 2 P. Beltrani 2003-11-09 17:17:54 UTC
Attempted a headless install:
  Configured boot floppy to append: console=ttyS0,38400n8 to default
install
  Removed keyboard and mouse
                                                                     
          
Anaconda still called the X hardware state routines.  This resulted in
the install crash as described above.
                                                                     
          
Attempted 2nd headless install with video card removed.
                                                                     
          
This time the installer ran as expected and I was able to complete the
install.  System now runs as expected.
                                                                     
          
This leads to the question:
 Why does the installer attempt to determine values for running X when
the install scenario implies we do NOT want to run X?

Comment 3 Jeremy Katz 2004-10-05 15:27:45 UTC
This shouldn't be relevant in current releases of Fedora Core as the
monitor step is no longer included.


Note You need to log in before you can comment on or make changes to this bug.